# Sentence Structure Semantics

## Independent Clause Structure

Most of the time L'ewa sentences have only one clause. This can be anything from
a single verb to a subject, verb and object. However, sometimes more information
is needed. Consider this sentence:

```
The dog which is blue is large.
```

This kind of a relative clause would be denoted using `hoi`, which would make
the sentence roughly the following in L'ewa:

```
le wufra hoi blanu xi brado.
```

The particle `xi` is needed here in order to make it explicit that the subject
noun-phrase has ended.

Similarly, an incidental relative clause is done with with `joi`:

```
le  wufra  joi              blanu    ke brado
the dog,   which by the way is blue,    is big.
```

## Questions

There are a few ways to ask questions in L'ewa. They correlate to the different
kinds of things that the speaker could want to know. 

### `ma`

`ma` is the particle used to fill in a missing/unknown noun phrase. Consider
these sentences:

```
ma   blanu?
what is blue?
```

```
ro  qa madsa   ma?
you are eating what?
```

### `no`

`no` is the particle used to fill in a missing/unknown verb. Consider these
sentences:

```
ro no?
How are you doing?
```

```
le wufra xi no?
The dog did what?
```

### `so`

`so` is the particle used to ask questions about numbers, similar to the "how
many" construct in English.

```
ro madsa so spalo?
You ate how many apples?
```

```
le so zasko xi qa'te glowa
How many plants grow quickly?
```

